<?php

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

// Path to the localisation file
$localisationFilePath = $localisationFilePath . '';

/** @var $TCA array */
$TCA['tx_content_replacer_term'] = [
	'ctrl' => $TCA['tx_content_replacer_term']['ctrl'],
	'interface' => [
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden,
			term, category_uid, stdWrap, replacement, description, starttime, endtime',
	],
	'types' => [
		0 => [
			'showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, term,
				category_uid, stdWrap,
				replacement;;;richtext[*]:rte_transform[mode=ts_css|imgpath=uploads/tx_content_parser/rte/],
				description, starttime, endtime, --div--',
		],
	],
	'palettes' => [
		0 => [
			'showitem' => ''
		],
	],
	'columns' => [
		't3ver_label' => [
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'max' => 30,
			],
		],
		'sys_language_uid' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => [
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => [
					['LLL:EXT:lang/locallang_general.php:LGL.allLanguages', -1],
					['LLL:EXT:lang/locallang_general.php:LGL.default_value', 0]
				],
			],
		],
		'l10n_parent' => [
			'exclude' => TRUE,
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => [
				'type' => 'select',
				'items' => [
					['', 0],
				],
				'foreign_table' => 'tx_content_replacer_term',
				'foreign_table_where' => 'AND tx_content_replacer_term.pid=###CURRENT_PID### ' .
					'AND tx_content_replacer_term.sys_language_uid IN (-1,0)',
			],
		],
		'l10n_diffsource' => [
			'config' => [
				'type' => 'passthrough',
			]
		],
		'hidden' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => [
				'type' => 'check',
				'default' => FALSE,
			]
		],
		'starttime' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config' => [
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'date',
				'checkbox' => 0,
				'default' => 0,
			]
		],
		'endtime' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config' => [
				'type' => 'input',
				'size' => 8,
				'max' => 20,
				'eval' => 'date',
				'checkbox' => 0,
				'default' => 0,
				'range' => [
					'upper' => mktime(0, 0, 0, 12, 31, 2020),
				]
			]
		],
		'term' => [
			'l10n_mode' => 'exclude',
			'label' => $localisationFilePath . 'tx_content_replacer_term.term',
			'config' => [
				'type' => 'input',
				'size' => 40,
				'max' => 256,
				'eval' => 'trim,required',
			]
		],
		'category_uid' => [
			'l10n_mode' => 'exclude',
			'label' => $localisationFilePath . 'tx_content_replacer_term.category_uid',
			'config' => [
				'type' => 'select',
				'internal_type' => 'db',
				'allowed' => 'tx_content_replacer_category',
				'foreign_table' => 'tx_content_replacer_category',
				'items' => [
					['', 0],
				],
				'size' => 1,
				'minitems' => 1,
				'maxitems' => 1,
				'eval' => 'required',
				'wizards' => [
					'add' => [
						'type' => 'script',
						'title' => 'Creation of a new category!',
						'icon' => 'add.gif',
						'params' => [
							'table' => 'tx_content_replacer_category',
							'pid' => '###CURRENT_PID###',
							'setValue' => 'prepend'
						],
						'script' => 'wizard_add.php',
					],
				],
			],
		],
		'stdWrap' => [
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => $localisationFilePath . 'tx_content_replacer_term.stdWrap',
			'config' => [
				'type' => 'input',
				'size' => 40,
				'max' => 256,
				'eval' => 'trim',
			],
		],
		'replacement' => [
			'label' => $localisationFilePath . 'tx_content_replacer_term.replacement',
			'config' => [
				'type' => 'text',
				'cols' => 40,
				'rows' => 3,
			],
		],
		'description' => [
			'exclude' => TRUE,
			'label' => $localisationFilePath . 'tx_content_replacer_term.description',
			'config' => [
				'type' => 'text',
				'cols' => 40,
				'rows' => 3,
			],
		],
	],
];