<?php

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

/** @var $_EXTKEY string */
ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/Typoscript/', 'Content Replacer');
ExtensionManagementUtility::allowTableOnStandardPages('tx_content_replacer_term');
ExtensionManagementUtility::addToInsertRecords('tx_content_replacer_term');

// Path to the localisation file
$localisationFilePath = 'LLL:EXT:content_replacer/locallang_db.xml:';
$extensionPath = ExtensionManagementUtility::extPath($_EXTKEY);

$TCA['tx_content_replacer_term'] = [
	'ctrl' => [
		'title' => $localisationFilePath . 'tx_content_replacer_term',
		'label' => 'term',
		'label_alt' => 'category_uid',
		'label_alt_force' => TRUE,
		'dividers2tabs' => TRUE,
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'versioningWS' => TRUE,
		'origUid' => 't3_origuid',
		'default_sortby' => 'ORDER BY category_uid, term',
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime'
		],
		'dynamicConfigFile' => $extensionPath . 'Configuration/TCA/tx_content_replacer_term.php',
		'iconfile' => 'EXT:content_replacer/Resources/Public/Icons/icon_tx_content_replacer_term.png',
	],
];

ExtensionManagementUtility::allowTableOnStandardPages('tx_content_replacer_category');
ExtensionManagementUtility::addToInsertRecords('tx_content_replacer_category');
$TCA['tx_content_replacer_category'] = [
	'ctrl' => [
		'title' => $localisationFilePath . 'tx_content_replacer_category',
		'label' => 'category',
		'dividers2tabs' => TRUE,
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'versioningWS' => TRUE,
		'origUid' => 't3_origuid',
		'default_sortby' => 'ORDER BY category',
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden'
		],
		'dynamicConfigFile' => $extensionPath . 'Configuration/TCA/tx_content_replacer_category.php',
		'iconfile' => 'EXT:content_replacer/Resources/Public/Icons/icon_tx_content_replacer_category.png',
	],
];